summaryrefslogtreecommitdiff
path: root/dev-python/nuitka
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-12-22 18:52:11 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-12-22 18:52:11 +0000
commit530ef5a8f02404c1639e662c083d0206912ab4c5 (patch)
treecd12843bd95f4e39e4587ec87df828ef6da79dcd /dev-python/nuitka
parent5f55c41638c52208c6bd66b3f0a6dc52d132d888 (diff)
downloadbaldeagleos-repo-530ef5a8f02404c1639e662c083d0206912ab4c5.tar.gz
baldeagleos-repo-530ef5a8f02404c1639e662c083d0206912ab4c5.tar.xz
baldeagleos-repo-530ef5a8f02404c1639e662c083d0206912ab4c5.zip
Adding metadata
Diffstat (limited to 'dev-python/nuitka')
-rw-r--r--dev-python/nuitka/Manifest1
-rw-r--r--dev-python/nuitka/nuitka-2.5.8.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/dev-python/nuitka/Manifest b/dev-python/nuitka/Manifest
index 9f0876a89cfa..5b9b3a564792 100644
--- a/dev-python/nuitka/Manifest
+++ b/dev-python/nuitka/Manifest
@@ -1,2 +1,3 @@
DIST Nuitka-2.5.6.tar.gz 3776178 BLAKE2B f19d777820be2e097c787252842721d06be1a4f3bf8ae298c94d9772f1b2f11baff835b1fb610fd42549911b48c42ee0d2ea7ad9afbf5c3f0e137d1c5ec85603 SHA512 cec3801cc8d30d149f3057d65286d7169378c0e9717a8abd142ab6e4ee5411982688ac43876ca3d94b993ed0f2d14d8e315a8d786f2ecb6ca2c2edf96628ec00
DIST Nuitka-2.5.7.tar.gz 3779250 BLAKE2B 5035fb52c85302d2877815be280bb3da40eca1ecc4e9608d038ff1960ed549a7525a0aa126758df2db35aca5549000d9ee343f144fe3c1a79fec04488393dc08 SHA512 1bd8ff4bed740c9ff2932e00d4f3f116c3c3496ca214f6563eb4aeaf44dd007783005eb0030e9b9a4b8ab21481883f33039893342ef62659d3a3e7ad54bea9c9
+DIST Nuitka-2.5.8.tar.gz 3777360 BLAKE2B 77a7c4cb3b71c6e0d5ae5fc3467c75afa4374593a187312ddb7caf54053eca9dbd17744c323b55954699e491fd28810b660ea44c2b25aa69d2b595000fb0ab11 SHA512 024d32b28e312baff1a68e654a78c4581ad09dace681202d0077c46c2d9117f7666a87288a5cc1005604fd535ce0ae8409c2002b37694edab95788b38fcee30c
diff --git a/dev-python/nuitka/nuitka-2.5.8.ebuild b/dev-python/nuitka/nuitka-2.5.8.ebuild
new file mode 100644
index 000000000000..6508da1d241b
--- /dev/null
+++ b/dev-python/nuitka/nuitka-2.5.8.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 flag-o-matic optfeature pypi
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="
+ https://nuitka.net/
+ https://github.com/Nuitka/Nuitka/
+ https://pypi.org/project/Nuitka/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~loong ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-build/scons[${PYTHON_USEDEP}]
+ >=dev-python/ordered-set-4.1.0[${PYTHON_USEDEP}]
+ >=dev-python/zstandard-0.15[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? ( dev-util/ccache )
+"
+
+distutils-r1_src_prepare() {
+ # remove vendored version of SCons that is Python2 only
+ # this should be removed when upstream removes support for Python2
+ rm -vR "nuitka/build/inline_copy/lib/scons-2.3.2/SCons" || die
+ eapply_user
+}
+
+python_install() {
+ distutils-r1_python_install
+ doman doc/nuitka.1 doc/nuitka-run.1
+}
+
+python_test() {
+ append-ldflags -Wl,--no-warn-search-mismatch
+ ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+ optfeature "support for stand-alone executables" dev-util/patchelf
+}